@import url('https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap');

* {
    padding: 0;
    margin: 0;
}

li {
    list-style-type: none;
}

main{
    background: #F2F2F2;
}

input, textarea{
    font-family: sans-serif;
    font-family: 'Lato';
    font-style: normal;
    outline: none;
    font-weight: 600;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.0075em;
}
a {
    text-decoration: none;
    color: white;
    font-weight: 700;
}

button{
    cursor:pointer;
}


hr{
    margin-bottom: 25px;
}

h4 {
    font-weight: 600;
    font-size: 34px;
    line-height: 44px;
}

h2 {
    font-weight: bold;
    font-size: 60px;
    line-height: 130%;
    letter-spacing: 0.03em;
    color: #F2C94C;
}

p {
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.0075em;
}

body {
    font-family: sans-serif;
    font-family: "-apple-system",BlinkMacSystemFont,"Segoe UI",Arial,sans-serif;
    font-style: normal;
    color: white;
}

.main_wrapper {
    max-width: 1440px;
    margin: 0 auto;
}

header {
    height: 80px;
    width: 100%;
    background-color: #2F80ED;
}

.header_nav {
    width: 100%;
    height: 100%;
    display: flex;
}

.menu {
    margin: 0 auto;
    width: 1280px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}



.menu__logo {
    width: 70px;
    height: 70px;
}

.menu__item {
    display: flex;
    align-items: center;
}

.menu__item_post {
    width: 190px;
    height: 48px;
    border: 1px solid #FFFFFF;
    box-sizing: border-box;
    border-radius: 24px;
    text-align: center;
    padding: 13px 0;
    margin-right: 30px;
}

#auth, #un_auth{
    cursor: pointer;
    width: 190px;
    height: 48px;
    border: 1px solid #FFFFFF;
    border-radius: 24px;
    text-align: center;
    padding: 13px 0;
    background: inherit;
    color: white;
    font-weight: 700;
    margin-left: 20px;
}

#auth{
    height: auto;
}

#un_auth{
    width: 100px;
    height: 48px;
}
#un_auth:hover{
    background-color: rgba(221, 38, 38, 0.789);
}

#auth:hover {
    background-color:#3e6faf;
    }

.menu__item_avatar{
    width: 52px;
    height: 52px;
    border-radius: 50%;
}

.user_block{
    display: flex;
}

.avatar_user_name{
    margin-right: 10px;
}

.menu__item_post:hover {
background-color:#3e6faf;
}

.information_wrapper {
    height: 572px;
    background-image: url(./images/bgr.jpg);
}

.information {
    display: flex;
    max-width: 1152px;
}


.information_text {
    width: 500px;
    margin: 90px 0 0 144px;
}

.start_btn {
    background-color: #fff;
    box-shadow: none;
    border: none;
    background: #F2C94C;
    border-radius: 24px;
    width: 145px;
    height: 48px;
    font-weight: bold;
    font-size: 16px;
    line-height: 150%;
    text-align: center;
    letter-spacing: 0.05em;
    color: #333333;
    margin-top: 55px;
}

.start_btn:hover{
    background-color:#fb9c0d;
}

.articles_wrapper {
    display: flex;
    flex-direction: column;
    max-width: 1152px;
    margin: 0 auto;
}


.articles_heading {
    color: #333333;
    margin-top: 60px;
    margin-bottom: 50px;
}

input::placeholder{
    color: #BDBDBD;
}

#search {
    padding-left: 85px;
    color: #BDBDBD;
    width: 74%;
    height: 60px;
    border: 0px solid;
    background: #FFFFFF;
    box-shadow: 0px -6px 8px rgba(234, 237, 242, 0.5), 0px 6px 8px rgba(234, 237, 242, 0.5);
    border-radius: 40px;
    margin-bottom: 60px;
}

.search_label {
    position: relative;
}

.search_label::before {
    content: "";
    position: absolute;
    left: 40px;
    top: -5px;
    bottom: 0;
    width: 28px;
    height: 28px;
    background: url(./images/search.svg)
}

.articles{
    width: 100%;
    min-height: 386px;
 display: flex;
 flex-wrap: wrap;
    margin-bottom: 80px;
    justify-content: start;
}
.article_prev_block{
    display: flex;
    flex-direction: column;
    width: 269px;
    height: 352px;
    margin-bottom: 30px;
    margin-right: 19px;
    background: #FFFFFF;
    box-shadow: 0px 6px 8px rgba(234, 237, 242, 0.5);
    border-radius: 15px;
}

.article_prev_block:hover{
    cursor:pointer;
    box-shadow: 0px 12px 24px rgba(188, 201, 220, 0.4);
}
.article_prev_block:active{
    box-shadow: 0px 12px 24px rgba(227, 232, 240, 0.5);
}

.article_text_style{
    font-weight: normal;
font-size: 14px;
line-height: 142%;
letter-spacing: 0.0168em;
color: #4F4F4F;
}

.atricle_text_wrap{
padding: 0 15px;
}
.article_prev_img{
    width: 100%;
    height: 50%;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    object-fit: cover;
}

.article_tags_list{
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: start;
    margin-bottom: 60px;
    flex-wrap: wrap;
}

.angular_tag_label{
    position: relative;
    width: 0;
}

.article_tags_list__item{
    display: none;
}

.article_tags{
    width: auto;
    padding:  8px 24px;     
    background-color: white;
    color: black;
    border-radius: 40px;
    box-shadow: 0px 6px 8px rgba(234, 237, 242, 0.5);
    white-space: nowrap;
    margin: 0 3px 3px 3px;
    user-select: none;
    cursor: pointer;
}

.article_tags:hover{
    box-shadow: 0px 12px 24px rgba(188, 201, 220, 0.4);
}

.article_tags:active{
    box-shadow: 0px 12px 24px rgba(227, 232, 240, 0.5);
}

.article_tags_add{
    background-repeat: no-repeat;
    background-image: url(./images/add_icon_gray.svg);
    background-position: 12px 8px, bottom right;
    padding-left: 40px;
}

.article_tags_checked {
    background-color: #2F80ED;
    background-image: url(./images/checked.svg);
    background-repeat: no-repeat;
    background-position: 12px 8px, bottom right;
    padding-left: 40px;
}



.footer_wrapper{
    width: 100%;
    background: #333333;
}

.footer_article{
    max-width: 1152px;
    margin: 0 auto;
    justify-content: end;
}

footer{
    height: 80px;
    display: flex;
    justify-content: space-between;
    max-width: 1280px;
    margin: 0 auto;
}


.footer_menu{
    display: flex;
    justify-content: space-between;
    width: 235px;

}

.footer_nav{
    display: flex;
    align-items: center;
}

.footer_about{
    display: flex;
    align-items: center;
}

/*--------------------Article------------------------------*/

.article_wrapper{
    display: flex;
    flex-direction: column;
    max-width: 1152px;
    margin: 0 auto;
}

.navigation_list{
    display: flex;
    flex-direction: row;
    margin: 50px 0;
}

h6 a{
    font-weight: 600;
font-size: 18px;
line-height: 24px;
color: #828282;
}

.navigation_list__item+.navigation_list__item h6::before{
    content: "";
    background-image: url(./images/arrow_nav.svg);
    padding: 10px 20px;
    background-repeat: no-repeat;
    background-position:  center;
}


.article_active{
    color: #333333;
}

.article_picture{
    width: 1152px;
    height: 468px;
    margin-bottom: 50px;
    object-fit: contain;
}



h3{
    font-weight: bold;
    font-size: 42px;
    line-height: 56px;
    display: flex;
    letter-spacing: -0.005em;
    color: #333333;
    margin-bottom: 50px;
}

h5{
    font-weight: bold;
    font-size: 24px;
    line-height: 132%;
    display: flex;
    align-items: center;
    color: #4F4F4F;
    margin-bottom: 30px;
}

.article_text{
    font-weight: normal;
    font-size: 16px;
    line-height: 150%;
    letter-spacing: 0.0168em;
    font-feature-settings: 'tnum' on, 'lnum' on;
    color: #4F4F4F;
    margin-bottom: 30px;
}
 
address{
    font-weight: 600;
    font-size: 16px;
    line-height: 150%;
    letter-spacing: 0.005em;
    font-feature-settings: 'tnum' on, 'lnum' on;
    font-style: normal;
    color: #333333;
    margin-bottom: 40px;
}

.tags_list{
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: start;
    margin-bottom: 60px;
    flex-wrap: wrap;
}

/*----------cerating page----------------*/

.creating_wrapper{
    display: flex;
    flex-direction: column;
    max-width: 1152px;
    margin: 0 auto;
    
}

.files_area{
   position: relative;
    width: 100%;
    height: 116px;
    border: 1px dashed #2F80ED;
    border-radius: 4px;
    margin: 65px 0 6px 0;
}



.files_drop{
    position: absolute;
    top: calc(50% - 65px/2/2);
     left: calc(50% - 345px/2/2);
     z-index: 100;
     width: 230px;
     height: 30px;
}

.files_drop:hover, .new_block_btn:hover{
   background-color:rgb(202, 202, 202);
}

#files_drop{
  display: none;
}

h6{
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 24px;
    display: flex;
    align-items: center;
    letter-spacing: 0.0075em;
    color: #333333;
    margin: 15px 0;
}
#creating_input1,
#creating_input2,
#creating_input3{
    border: 1px solid #2F80ED;
    border-radius: 4px;
    background: inherit;
    
}

#creating_input1{
    height:72px;
    font-weight: bold;
    font-size: 42px;
    line-height: 56px;
}
#creating_input1::placeholder{
    padding: 5px 20px 5px 0px;
    font-weight: bold;
    font-size: 42px;
    line-height: 56px;
    display: flex;
    align-items: center;
    letter-spacing: -0.005em;
    color: #828282;
}

#creating_input2{
    height:56px;
    font-weight: bold;
    font-size: 24px;
    line-height: 132%;
}

#creating_input2::placeholder{
    padding: 5px 20px 5px 0px;
    font-weight: bold;
    font-size: 24px;
    line-height: 132%;
    display: flex;
    align-items: center;
    color: #828282;
}

#creating_input3{
    height:288px;
    margin-bottom: 30px;
}

.new_block_btn, .files_drop{
    border-radius: 5px;
    padding: 5px;   
    background-color: inherit;
    font-weight: 600;
    font-size: 14px;
    line-height: 142%;
    letter-spacing: 0.005em;
    color: #2F80ED;
    border: 0px solid;
    width: auto;
    cursor: pointer;
    margin-bottom: 20px;
}

.new_block_btn{
    width: 140px;
}

.files_drop{
    margin-bottom: 0;
    text-align: center;
    display: flex;
    margin-bottom: 0;
    align-items: center;
    text-align: center;
}



.new_block_btn:active, .files_drop:active{
    color: #255da5;
}

.new_block_btn::before, .files_drop::before{
    content: "";
    padding: 9px 0 9px 30px;
    background-repeat: no-repeat;
    background-position: left;
    background-image: url(./images/add_icon.svg);
}

.hover_drag{
    border: 1px dashed rgb(18, 243, 18);
}

.cursor_nodrop{
    cursor:no-drop;
}

.hidden{
    display: none;
}

#dropped_img{
    max-width: 50%;
    margin: 0 auto;
    padding: 30px 0;

}

#drag_form{
    display: flex;
    flex-direction: column;
}

.creating_block{
    display: flex;
    flex-direction: column;
    max-width: 100%;
}

.delete_btn, .delete_article_btn{
    width: 100px;
    height: 25px;
    border: 0px solid;
    border-radius: 10px;
    background-color: rgb(245, 103, 103);
}
.delete_btn:hover{
    cursor: pointer;
    background-color: rgb(247, 17, 17);
}

.form_buttons{
    display: flex;
    justify-content: end;
    margin: 20px 0 20px 0;
}
#preview{
    margin-right:30px;
    background: inherit;
    border: 1px solid #F2C94C;
}

#preview:hover{
    background: #f2c84c5c;
}

.form_button{
    width: 138px;
    height: 48px;
    background: #F2C94C;
    border-radius: 24px;
    border: 0px solid;
}

.form_button:hover{
    background: rgba(18, 177, 18, 0.762);
}

/*-----------------Autorication page-------*/

.autorize_wrapper{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    height: calc(100vh - 160px);
}

.autorize_block{
  display: flex;
  flex-direction: column;
  align-items: center;
max-width: 506px;
}

.autorize_head{
text-align: center;
margin-bottom: 40px;
    font-weight: bold;
    font-size: 60px;
    line-height: 120%;
    letter-spacing: -0.01em;
    color: #333333;
}

.search_head{
    width: 100%;
    align-items: center;
    display: flex;
    justify-content: center;
}

.check_wrapper{
    display: flex;
    align-items: center;
}

.google_btn{
    cursor: auto;
    width: 342px;
    height: 56px;
    background-color: rgb(209, 209, 209);
    box-shadow: 0px 6px 8px rgba(234, 237, 242, 0.5);
    border-radius: 24px;
    border: 0px solid;
    background-image: url(./images/google.png);
    background-repeat: no-repeat;
    background-position:  75px 16px;
    margin-bottom: 30px;
}

.btn_active{
    background-color: white;
    cursor: pointer;
}

.google_btn:hover{
    box-shadow: 0px 12px 24px rgba(188, 201, 220, 0.4);
}

#privacy_policy{
    margin-right: 15px;
}

.privacy_policy{
    font-weight: normal;
    font-size: 14px;
    line-height: 142%;
    letter-spacing: 0.0168em;
    font-feature-settings: 'tnum' on, 'lnum' on;
    color: #333333;
}

.more_tags_block{
    position: relative;
    width: 100%;
    height: 212px;
    background-color:rgb(128, 221, 128);
}